# Certificate/key is needed in server mode and optional in client mode
cert = /run/secrets/stunnel_crt
key = /run/secrets/stunnel_key

# Some security enhancements for UNIX systems - comment them out on Win32
#chroot = /chroot/stunnel/
chroot = ${STUNNEL_CHROOT}
setuid = stunnel
setgid = stunnel
foreground = yes
debug=7


# Some performance tunings
socket = l:TCP_NODELAY=1
socket = r:TCP_NODELAY=1

# Authentication stuff
verifyChain = ${STUNNEL_VERIFY_CHAIN}
verifyPeer = ${STUNNEL_VERIFY_PEER}
requireCert = ${STUNNEL_REQUIRE_CERT}

# Use it for client mode
client = ${STUNNEL_CLIENT}

# Service-level configuration
[${STUNNEL_SVC}]
accept = ${STUNNEL_ACCEPT}
connect = ${STUNNEL_CONNECT}
CAfile = /run/secrets/stunnel_crt

# Cipher hardening
options = CIPHER_SERVER_PREFERENCE
sslVersionMin = ${STUNNEL_MIN_TLS_VER}
